﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Model.Dto
{
    internal class BasDeviceKindDto : BaseDto
    {  /// <summary>
       /// Desc:设备类型编号
       /// Default:
       /// Nullable:False
       /// </summary>           
        private string deviceKindNo { get; set; }

        public string DeviceKindNo
        {
            get { return deviceKindNo; }
            set { deviceKindNo = value; OnPropertyChanged(); }
        }
        /// <summary>
        /// Desc:设备名称
        /// Default:
        /// Nullable:False
        /// </summary>           
        private string deviceKindName { get; set; }
        public string DeviceKindName
        {
            get { return deviceKindName; }
            set { deviceKindName = value; OnPropertyChanged(); }
        }
        /// <summary>
        /// Desc:所属项目编号
        /// Default:
        /// Nullable:True
        /// </summary>           
        private string projectNo { get; set; }
        public string ProjectNo
        {
            get { return projectNo; }
            set { projectNo = value; OnPropertyChanged(); }
        }
      
        /// <summary>
        /// Desc:描述
        /// Default:
        /// Nullable:False
        /// </summary>           
        private string describe { get; set; }
        public string Describe
        {
            get { return describe; }
            set { describe = value; OnPropertyChanged(); }
        }
        /// <summary>
        /// Desc:创建者
        /// Default:
        /// Nullable:False
        /// </summary>           
        public string CreateBy { get; set; }

        /// <summary>
        /// Desc:创建时间
        /// Default:
        /// Nullable:False
        /// </summary>           
        public DateTime CreateTime { get; set; }

        /// <summary>
        /// Desc:更新者
        /// Default:
        /// Nullable:False
        /// </summary>           
        public string UpdateBy { get; set; }

        /// <summary>
        /// Desc:更新时间
        /// Default:
        /// Nullable:False
        /// </summary>           
        public DateTime UpdateTime { get; set; }

        /// <summary>
        /// Desc:备注
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string Remark { get; set; }
    }
}
